请选择 进入手机版 | 继续访问电脑版

[Python] sweep2 脚本不知道哪里错了

[复制链接]
19925 小马专属 发表于 2016-12-3 13:30:15 楼主
求大神指教~~~刚接触
import rhinoscriptsyntax as rs
start = rs.AddPoint( (0,0,0) )
start2 = rs.AddPoint( (0,0,-2) )
end = rs.AddPoint( (10,0,10) )
end1 = rs.AddPoint( (10,0,0) )
ss = rs.AddLine(start, end)
ss1 = rs.AddLine(start2, end1)


print "ee",ss
all = rs.AllObjects("wwwww",rs.filter.curve)



objs = rs.LastCreatedObjects()
qq=rs.SelectObjects( objs )

points = rs.GetPoints(True)


ss3=rs.AddPolyline(points)





ee=rs.AddSweep2(qq , ss3 )

关于大陆地区Rhino原厂培训中心
筑梦NARUTO 发表于 2016-12-3 14:12:30
2
1:你应该学一下如何发帖,这么把代码内置到文件中。
2:我完全不清楚你要干嘛,以后最好图示,我大概猜测一个
  1. #coding=utf-8
  2. import rhinoscriptsyntax as rs
  3. start = rs.AddPoint( (0,0,0) )
  4. start1 = rs.AddPoint( (0,0,-2) )
  5. end = rs.AddPoint( (10,0,10) )
  6. end1 = rs.AddPoint( (10,0,0) )
  7. ss = rs.AddLine(start, end)
  8. ss1 = rs.AddLine(start1, end1)


  9. curves = rs.AllObjects("wwwww",rs.filter.curve)

  10. points = rs.GetPoints(True)
  11. ss3=rs.AddPolyline(points)
  12. ee=rs.AddSweep2(curves,[ss3])
复制代码
3:写代码记得查看帮助文档呀,说了第二个参数的类型是list

QQ截图20161203141204.png
 楼主| 小马专属 发表于 2016-12-3 14:20:10
3
谢谢 ~非常感谢  ~   刚接触代码 ,谢谢
筑梦NARUTO 发表于 2016-12-3 14:38:08
4
小马专属 发表于 2016-12-3 14:20
谢谢 ~非常感谢  ~   刚接触代码 ,谢谢

没事,多练习就好了
筑梦NARUTO 发表于 2016-12-3 14:38:18
5
小马专属 发表于 2016-12-3 14:20
谢谢 ~非常感谢  ~   刚接触代码 ,谢谢

没事,多练习就好了,欢迎常来讨论
筑梦NARUTO 发表于 2016-12-3 14:38:21
6
小马专属 发表于 2016-12-3 14:20
谢谢 ~非常感谢  ~   刚接触代码 ,谢谢

没事,多练习就好了,欢迎常来讨论
您需要登录后才可以回帖 登录 | 注册成为会员

本版积分规则